Synq Docs
Management APIConsents

What a user allowed apps

What they allowed each app that isn't the brand's own, oldest first: signing in to it again doesn't ask them again for that. Needs `org.users.view`.

GET/v1/orgs/{org}/brands/{brand}/users/{user}/consents

What they allowed each app that isn't the brand's own, oldest first: signing in to it again doesn't ask them again for that. Needs org.users.view.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string
brand*string
user*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/orgs/string/brands/string/users/string/consents"
{  "data": [    {      "id": "string",      "app": {        "client_id": "string",        "name": "string"      },      "scopes": [        "string"      ],      "claims": [        "string"      ],      "apis": [        {          "identifier": "string",          "scopes": [            "string"          ]        }      ],      "allowed_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}